#ifndef ENNEMY_HPP
#define ENNEMY_HPP

#include "bullet.hpp"
#include <cstdint>

class Enemy {
public:
  Enemy(void);
  ~Enemy(void);

  void Render(void);
  void Update(void);
  bool TestImpact(Bullet *Shot);

  // The Life of the enemy - Enemy is dead when Life reached 0
  uint16_t Life;

  // Size of the enemy
  uint16_t Size;

  // Coordinates of the enemy and its speed
  float EnemyX;
  float EnemyY;
  float Speed;
  float DX, DY;
  float DistanceToTower;

  bool ToBeDeleted;

  // color of the enemy
  uint16_t Color;
};

#endif