#include "tower.hpp"
#include <gint/display.h>

Tower::Tower(void) {
  Life = 100;
  Level = 1;
  TimeLastShot = 0;
  Power = 1;

  // the color must be chosen depending on the machine (C_BLACK for monochrome
  // or anyRGB color for Prizm)
#if (FX9860G)
  Color = C_BLACK;
#else
  Color = C_RED;
#endif

  Radius = DHEIGHT / 3;
}

Tower::~Tower(void) {}

void Tower::Render(void) {
  dcircle(DWIDTH / 2, DHEIGHT / 2, Radius, C_NONE, Color);

  dcircle(DWIDTH / 2, DHEIGHT / 2, DHEIGHT / 10, C_NONE, Color);
}

void Tower::Update(void) {}

void Tower::Shoot(void) {}